#!/bin/sh

# n.b. no trailing /traj on TRAJ_HOME
TRAJ_HOME=/export/borg/disk1/sws98slg

NETCDF=$1
NETCDF_LIB=${NETCDF:=netcdf}

echo "netcdf library"
echo $NETCDF_LIB

# N.B. -O3 is only safe with SUN f77 compiler

#f77 -O3 ppf2cdf_lam.f -o ppf2cdf_lam.x \
#  -L /usr/local/lib -l$NETCDF_LIB \
#  -L $TRAJ_HOME/traj/lib -lcdfio -lcdfplus -ltra

#f77 -O3 ppf2cdf_ukmm.f -o ppf2cdf_ukmm.x \
#  -L /usr/local/lib -l$NETCDF_LIB \
#  -L $TRAJ_HOME/traj/lib -lcdfio -lcdfplus -ltra

#f77 -O3 ppf2cdf_ukmm_p.f -o ppf2cdf_ukmm_p.x \
#  -L /usr/local/lib -l$NETCDF_LIB \
#  -L $TRAJ_HOME/traj/lib -lcdfio -lcdfplus -ltra

#f77 -O3 ppf2cdf_ukmm_new.f -o ppf2cdf_ukmm_new.x \
#  -L /usr/local/lib -l$NETCDF_LIB \
#  -L $TRAJ_HOME/traj/lib -lcdfio -lcdfplus -ltra

#f77 -O3 ppf2cdf_270_113.f -o ppf2cdf_270_113.x \
#  -L /usr/local/lib -l$NETCDF_LIB \
#  -L $TRAJ_HOME/traj/lib -lcdfio -lcdfplus -ltra

#f77 -O3 ppf2cdf_116_106.f -o ppf2cdf_116_106.x \
#  -L /usr/local/lib -l$NETCDF_LIB \
#  -L $TRAJ_HOME/traj/lib -lcdfio -lcdfplus -ltra

#f77 -O3 ppf2cdf_300_350.f -o ppf2cdf_300_350.x \
#  -L $TRAJ_HOME/traj/libnew -lcdfio -lcdfplus -ltra \
#  -L /usr/local/libnew -l$NETCDF_LIB 

#f77 -O3 ppf2cdf_300_350.f -o ppf2cdf_300_350.x \
#  -L $TRAJ_HOME/traj/lib -lcdfio -lcdfplus -ltra \
#  -L /opt/graphics/include -l$NETCDF_LIB

#f77 -O3 pp2cdf_p20nae.f -o pp2cdf_p20nae.x \
#  -L $TRAJ_HOME/traj/lib -lcdfio -lcdfplus -ltra \
#  -L /opt/graphics/include -l$NETCDF_LIB 

#f77 -O3 pp2cdf_p39nae.f -o pp2cdf_p39nae.x \
#  -L $TRAJ_HOME/traj/lib -lcdfio -lcdfplus -ltra \
#  -L /opt/graphics/include -l$NETCDF_LIB 

f77 -I/opt/graphics/include -O3 pp2cdf_p20_Andy_Elvidge.f -o pp2cdf_p20_Andy_Elvidge.x \
    -L $TRAJ_HOME/traj/lib -lcdfio -lcdfplus -ltra \
    -L/opt/graphics/lib \
    -lnetcdf -lhdf5_hl -lhdf5

#f77 -O3 pp2cdf_p33_Laura.f -o pp2cdf_p33_Laura.x \
#  -L $TRAJ_HOME/traj/lib -lcdfio -lcdfplus -ltra \
#  -L /opt/graphics/include -lnetcdf -lhdf5_hl -lhdf5

#f77 -O3 pp2cdf_p39.f -o pp2cdf_p39.x \
#  -L $TRAJ_HOME/traj/lib -lcdfio -lcdfplus -ltra \
#  -L /opt/graphics/include -l$NETCDF_LIB 


#chmod a+rx ppf2cdf_lam.x ppf2cdf_ukmm.x ppf2cdf_270_113.x
chmod a+rx *.x

exit 0
